Subject: RE: [Ltru] Re: Adding more 2119 keywords

From: "Addison Phillips" <[email-masked]>
Date: Tue, 12 Jul 2005 16:49:58 -0700

Yeah, so look at the list I sent back of John's notes and somebody opine whether I chose correctly. Reverting the semi-substantive changes is still easy at this point (I tend to agree that none of the changes are earth shattering, but do note that some of the items that I changed in the editor's copy represent normative looking text that might be better in a normative form, e.g. instructions to IANA in Section 5.1.

Addison

Addison P. Phillips
Globalization Architect, Quest Software
Chair, W3C Internationalization Core Working Group

Internationalization is not a feature.
It is an architecture. 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Frank Ellermann
> Sent: 2005?7?12? 15:32
> To: [email-masked]
> Subject: [Ltru] Re: Adding more 2119 keywords
> 
> Randy Presuhn wrote:
> 
> >| Imperatives of the type defined in this memo must be used
> >| with care and sparingly.  In particular, they MUST only be
> >| used where it is actually required for interoperation or to
> >| limit behavior which has potential for causing harm
> 
> ACK, can't say this often enough.  If a standard says "xyz are
> letters", then it's unnecessary to replace it by "xyz NUST be
> letters" for some imaginary normative effect.  The standard is
> normative without any 2119-keywords, unless it explicitly says
> "informative" (examples etc.).
> 
> > I suggest considering whether the value of making the change
> > is worth the risk of the changes cumulatively necessitating
> > a second last call.
> 
> So far I thought that an "internal last call" is something like
> a dress rehearsal, it's not really required, and it's also not
> necessary to repeat it.
> 
> Mark wrote in his reply:
> | ask John to do his next review before last call ;-)
> 
> Better we find any "bugs" now than somebody else later in the
> real "last call".  But IMO using _no_ 2119-keywords where they
> are _not_ needed is no "bug", quite the contrary.
> 
> BTW, in <http://mid.gmane.org/[email-masked]>
> Brian mentioned the case of a draft standard (3596) obsoleting
> BCP 49 (3152), apparently that's possible:
> 
> <http://purl.net/net/rfc/3596> + <http://purl.net/net/rfc/3152>
> 
>                          Bye, Frank
> 
> 
> 
> 
> _______________________________________________
> Ltru mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ltru

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru